module.exports = obj => {

    const clear_var = v => {
        if(v == null || v == undefined) return '';
        if(typeof(v) === 'object') return clear_obj(v);
        else if(typeof(v) === 'string'){
            v = v.replace(/(?![a-zA-Z0-9@æøèéåÆØÅ\s&/\-\.,\%\_#])./g, '');
            v = v.replace(/&/g, '\\&');
            v = v.replace(/%/g, '\\%');
            v = v.replace(/_/g, '\\_');
            v = v.replace(/#/g, '\\#');
            return v;
        }
        else{
            return v;
        }
    };

    const clear_obj = o => {
        Object.keys(o).map(k => o[k] = clear_var(o[k]));
        return o;
    };

    const cleared = clear_obj(obj);

    return cleared;

};
