const { spawnSync } = require('child_process');

function verifyLatexBinary() {
    const { error } = spawnSync('latex', ['--version'], {encoding: 'utf8'});
    if (error) {
        console.error(error);
        process.exit(1);
    } else {
        console.log('latex binaries seem ok');
    }
}

module.exports = { verifyLatexBinary };