
module.exports.ensureJSON = (req, res, next) => {
   let data = "";
   req.on('data', chunk => { data += chunk})
   req.on('end', () => {
       req.rawBody = data;
       try{
           req.body = JSON.parse(data);
           next();
       }
       catch(e){
           res.statusCode = 400;
           console.log(req.body);
           next(new Error('Unable to parse json'));
       }
   });
};
